## org.omg.IOP
Class EncodingHelper

    java.lang.Object
      |
      +--org.omg.IOP.EncodingHelper

public class EncodingHelper
extends java.lang.Object

Helper class for : Encoding

Author:
  OpenORB Compiler

Constructor Summary
`EncodingHelper()`

Method Summary
`static Encoding` `extract(Any a)` Extract Encoding from an any
`static java.lang.String` `id()` Return the Encoding IDL ID
`static void` `insert(Any a, Encoding t)` Insert Encoding into an any
`static Encoding` `read(InputStream istream)` Read Encoding from a marshalled stream
`static TypeCode` `type()` Return the Encoding TypeCode
`static void` `write(OutputStream ostream, Encoding value)` Write Encoding into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingHelper

    public EncodingHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Encoding t)

  Insert Encoding into an any
  Parameters:
    `a` - an any
    `t` - Encoding value

### extract

    public static Encoding extract(Any a)

  Extract Encoding from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Encoding value

### type

    public static TypeCode type()

  Return the Encoding TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Encoding IDL ID
  Returns:
    an ID

### read

    public static Encoding read(InputStream istream)

  Read Encoding from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Encoding value

### write

    public static void write(OutputStream ostream,
                             Encoding value)

  Write Encoding into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Encoding value